Skip to main content
GET
/
users
/
birthdays
User birthdays
curl --request GET \
  --url https://api.example.com/users/birthdays
import requests

url = "https://api.example.com/users/birthdays"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/users/birthdays', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "content_type": "user",
      "id": 1,
      "reference": "USR-123",
      "name": "John Doe",
      "first_name": "John",
      "last_name": "Doe",
      "title": "Manager",
      "active": true,
      "meta_field_0": "<string>",
      "meta_field_1": "<string>",
      "meta_field_2": "<string>",
      "meta_field_3": "<string>",
      "meta_field_4": "<string>",
      "permissions": {},
      "avatar": {},
      "unit": {},
      "physicalUnit": {},
      "department": {},
      "userTypes": [
        {}
      ],
      "memberGroups": [
        {}
      ],
      "memberUnits": [
        {}
      ],
      "specialties": [
        {}
      ],
      "twoFactor": {},
      "provider": [
        "<string>"
      ],
      "all_integrations": [
        {}
      ],
      "devices": [
        {}
      ],
      "participant_type": "<string>",
      "url": "api/users/1"
    }
  ]
}

Query Parameters

start
string<date>

Start date for birthday range

end
string<date>

End date for birthday range

limit
integer

Pagination limit

Response

200 - application/json

Users with birthdays in range

data
object[]